Subject: how to mix bridges and bonding inc. vlans correctly on Kernel > 3.10

From: Stefan Priebe - Profihost AG <[email-masked]>
Date: Wed, 13 Nov 2013 14:58:40 +0100

Hello,

while my vlans, bridging and bonding stuff was working until 3.9 i never
thought about how it is right. So maybe i was always wrong.

I've this:

eth2
     \
      -- bond1 -- vmbr1
     /
eth3

This works fine and as expected now i want to have a vlan using the
bonding and using a bridge.

I the past i had this:
eth2
     \
      -- bond1 -- vmbr1
     /              \
eth3                 \ vmbr1.3000
                           \ ---- tap114i1

This was working fine until 3.9.X since 3.10. Right now using 3.10 i
need to put eth2 and eth3 into promisc mode to get it working ;-( this
is bad!

I also tried this one without success:
eth2
     \
      -- bond1 -- vmbr1
     /     \
eth3        ----- bond1.3000 --- vmbr1v3000
                                     \ ---- tap114i1

Greets,
Stefan